Skip to content
Skip to main content
POST
/v3/workspaces/{workspace_id}/manual-assign

Update workplace assignments

Manually assigns or removes specified grants to or from a specific workspace. You must specify at least one grant ID in either assign_grants or remove_grants. You can include up to 500 grants per list.

NYLAS API KEY

Parameters

Path parameters

workspace_id*string

ID of the workspace to access.

Example: "123e4567-e89b-12d3-a456-426614174000"

Request body

assign_grantsarray<string>

A list of grant IDs to be assigned to the workspace.

Example: ["123e4567-e89b-12d3-a456-426614174001"]
remove_grantsarray<string>

A list of grant IDs to be removed from the workspace.

Example: ["123e4567-e89b-12d3-a456-426614174001"]

Responses

request_idstring

The request ID.

Example: "5967ca40-a2d8-4ee0-a0e0-6f18ace39a90"
dataobject
POSThttps://api.us.nylas.com/v3/workspaces/123e4567-e89b-12d3-a456-426614174000/manual-assign

Find your API key in the Nylas Dashboard under API Keys in your application settings.

workspace_idrequiredstring

ID of the workspace to access.

Loading editor...

Autocomplete and validation come from this endpoint's request schema.